Skip to main content
GET
/
v1
/
compliance
/
reports
/
{report_id}
Get Compliance Report
curl --request GET \
  --url https://api.example.com/v1/compliance/reports/{report_id}
import requests

url = "https://api.example.com/v1/compliance/reports/{report_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/compliance/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "<string>",
  "report_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "format": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "standard": "<string>",
  "artifacts_path": "<string>",
  "download_url": "<string>",
  "error": "<string>",
  "completed_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

authorization
string | null

Path Parameters

report_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
project_id
string<uuid>
required
organization_id
string
required
report_ids
string<uuid>[]
required
format
string
required
status
string
required
created_at
string<date-time>
required
standard
string | null
artifacts_path
string | null
download_url
string | null
error
string | null
completed_at
string<date-time> | null